Package org.apache.calcite.avatica.proto

## Interface Requests.PrepareAndExecuteRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `Requests.PrepareAndExecuteRequest`, `Requests.PrepareAndExecuteRequest.Builder`

Enclosing class:
  Requests

    public static interface Requests.PrepareAndExecuteRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getConnectionId()` `string connection_id = 1;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `string connection_id = 1;`
`int` `getFirstFrameMaxSize()` The maximum number of rows that will be returned in the
`long` `getMaxRowCount()` Deprecated
`long` `getMaxRowsTotal()` The maximum number of rows that will be allowed for this query
`java.lang.String` `getSql()` `string sql = 2;`
`com.google.protobuf.ByteString` `getSqlBytes()` `string sql = 2;`
`int` `getStatementId()` `uint32 statement_id = 4;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getConnectionId

    java.lang.String getConnectionId()

`string connection_id = 1;`

#### getConnectionIdBytes

    com.google.protobuf.ByteString getConnectionIdBytes()

`string connection_id = 1;`

#### getSql

    java.lang.String getSql()

`string sql = 2;`

#### getSqlBytes

    com.google.protobuf.ByteString getSqlBytes()

`string sql = 2;`

#### getMaxRowCount

    long getMaxRowCount()

     Deprecated

`uint64 max_row_count = 3;`

#### getStatementId

    int getStatementId()

`uint32 statement_id = 4;`

#### getMaxRowsTotal

    long getMaxRowsTotal()

     The maximum number of rows that will be allowed for this query

`int64 max_rows_total = 5;`

#### getFirstFrameMaxSize

    int getFirstFrameMaxSize()

     The maximum number of rows that will be returned in the

`int32 first_frame_max_size = 6;`